// Persistence of Vision Ray Tracer Scene Description File
// File: ?.pov
// Vers: 3.5
// Desc: Basic Scene Example
// Date: mm/dd/yy
// Auth: ?
//

#version 3.5;

#include "colors.inc"
#include "textures.inc"
#include "stones.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------

camera {
  location  <0.0, 0.0, -375.0>
  direction 1.5*z
  right     x*image_width/image_height
  up        y
  look_at   <0.0, 0.0,  0.0>
}

sky_sphere
{
  pigment { Blue_Sky2 }
}

light_source {
  <0, 0, 0>            // light's position (translated below)
  color rgb <1, 1, 1>  // light's color
  translate <-300, 300, -300>
}

// ----------------------------------------

#declare head = 
object
{
  #include "mr_mesh90.inc"
}

#declare orient_head =
object
{
  head
  translate -(max_extent(head) / 2)
  scale <1.0, 1.0, 256/109>
  rotate 180 * x
}

intersection
{
  object { orient_head texture { T_Stone2 scale 20 } }
  plane { -z, 0 pigment { colour Red } }
  
}
